ObjectToWSConditionsConverter
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.util
Class ObjectToWSConditionsConverter

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.util.ObjectToWSConditionsConverter

    public class ObjectToWSConditionsConverter

extends java.lang.Object

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`ObjectToWSConditionsConverter()`

Method Summary
`static WSAndCondition` | `convertToWsAndCondition(AndCondition condition)`
`static WSBooleanPropertyValueCondition` | `convertToWsBooleanPropertyValueCondition(BooleanPropertyValueCondition condition)`
`static WSNotCondition` | `convertToWsNotCondition(NotCondition condition)`
`static WSOrCondition` | `convertToWsOrCondition(OrCondition condition)`
`static WSPropertyCondition` | `convertToWsPropertyCondition(PropertyCondition condition)`
`static WSPropertyExistenceCondition` | `convertToWsPropertyExistenceCondition(PropertyExistenceCondition condition)`
`static WSStringPropertyValueCondition` | `convertToWsStringPropertyValueCondition(StringPropertyValueCondition condition)`
`static WSTimeInMillisecondsPropertyValueBetweenCondition` | `convertToWsTimeInMillisecondsPropertyValueBetweenCondition(TimeInMillisecondsPropertyValueBetweenCondition condition)`
`static WSTimeInMillisecondsPropertyValueCondition` | `convertToWsTimeInMillisecondsPropertyValueCondition(TimeInMillisecondsPropertyValueCondition condition)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectToWSConditionsConverter

    public ObjectToWSConditionsConverter()

Method Detail

### convertToWsPropertyCondition

    public static WSPropertyCondition convertToWsPropertyCondition(PropertyCondition condition)

### convertToWsNotCondition

    public static WSNotCondition convertToWsNotCondition(NotCondition condition)

### convertToWsAndCondition

    public static WSAndCondition convertToWsAndCondition(AndCondition condition)

### convertToWsOrCondition

    public static WSOrCondition convertToWsOrCondition(OrCondition condition)

### convertToWsStringPropertyValueCondition

    public static WSStringPropertyValueCondition convertToWsStringPropertyValueCondition(StringPropertyValueCondition condition)

### convertToWsBooleanPropertyValueCondition

    public static WSBooleanPropertyValueCondition convertToWsBooleanPropertyValueCondition(BooleanPropertyValueCondition condition)

### convertToWsTimeInMillisecondsPropertyValueCondition

    public static WSTimeInMillisecondsPropertyValueCondition convertToWsTimeInMillisecondsPropertyValueCondition(TimeInMillisecondsPropertyValueCondition condition)

### convertToWsTimeInMillisecondsPropertyValueBetweenCondition

    public static WSTimeInMillisecondsPropertyValueBetweenCondition convertToWsTimeInMillisecondsPropertyValueBetweenCondition(TimeInMillisecondsPropertyValueBetweenCondition condition)

### convertToWsPropertyExistenceCondition

    public static WSPropertyExistenceCondition convertToWsPropertyExistenceCondition(PropertyExistenceCondition condition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD